# Uses of Enum Class
org.apache.sysds.lops.MMTSJ.MMTSJType

Packages that use MMTSJ.MMTSJType
Package
Description
org.apache.sysds.hops
org.apache.sysds.hops.codegen.cplan
org.apache.sysds.lops
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.instructions.cp
org.apache.sysds.runtime.instructions.fed
org.apache.sysds.runtime.instructions.gpu
org.apache.sysds.runtime.instructions.spark
org.apache.sysds.runtime.matrix.data

## Uses of MMTSJ.MMTSJType in org.apache.sysds.hops

Methods in org.apache.sysds.hops that return MMTSJ.MMTSJType
Modifier and Type
Method
Description
`MMTSJ.MMTSJType`
AggBinaryOp.`checkTransposeSelf()`
TSMM: Determine if XtX pattern applies for this aggbinary and if yes which type.

## Uses of MMTSJ.MMTSJType in org.apache.sysds.hops.codegen.cplan

Methods in org.apache.sysds.hops.codegen.cplan that return MMTSJ.MMTSJType
Modifier and Type
Method
Description
`MMTSJ.MMTSJType`
CNodeOuterProduct.`getMMTSJtype()`
Constructors in org.apache.sysds.hops.codegen.cplan with parameters of type MMTSJ.MMTSJType
Modifier
Constructor
Description
``
`CNodeOuterProduct(ArrayList<CNode> inputs, CNode output, MMTSJ.MMTSJType mmtsj)`

## Uses of MMTSJ.MMTSJType in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return MMTSJ.MMTSJType
Modifier and Type
Method
Description
`static MMTSJ.MMTSJType`
MMTSJ.MMTSJType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MMTSJ.MMTSJType[]`
MMTSJ.MMTSJType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.lops with parameters of type MMTSJ.MMTSJType
Modifier
Constructor
Description
``
`MMTSJ(Lop input1, Types.DataType dt, Types.ValueType vt, Types.ExecType et, MMTSJ.MMTSJType type)`
``
`MMTSJ(Lop input1, Types.DataType dt, Types.ValueType vt, Types.ExecType et, MMTSJ.MMTSJType type, boolean multiPass)`
``
`MMTSJ(Lop input1, Types.DataType dt, Types.ValueType vt, Types.ExecType et, MMTSJ.MMTSJType type, boolean multiPass, int k)`

## Uses of MMTSJ.MMTSJType in org.apache.sysds.runtime.compress

Methods in org.apache.sysds.runtime.compress with parameters of type MMTSJ.MMTSJType
Modifier and Type
Method
Description
`MatrixBlock`
CompressedMatrixBlock.`transposeSelfMatrixMultOperations(MatrixBlock out, MMTSJ.MMTSJType tstype, int k)`

## Uses of MMTSJ.MMTSJType in org.apache.sysds.runtime.instructions.cp

Methods in org.apache.sysds.runtime.instructions.cp that return MMTSJ.MMTSJType
Modifier and Type
Method
Description
`MMTSJ.MMTSJType`
MMTSJCPInstruction.`getMMTSJType()`

## Uses of MMTSJ.MMTSJType in org.apache.sysds.runtime.instructions.fed

Constructors in org.apache.sysds.runtime.instructions.fed with parameters of type MMTSJ.MMTSJType
Modifier
Constructor
Description
``
`TsmmFEDInstruction(CPOperand in, CPOperand out, MMTSJ.MMTSJType type, int k, String opcode, String istr)`
``
`TsmmFEDInstruction(CPOperand in, CPOperand out, MMTSJ.MMTSJType type, int k, String opcode, String istr, FEDInstruction.FederatedOutput fedOut)`

## Uses of MMTSJ.MMTSJType in org.apache.sysds.runtime.instructions.gpu

Methods in org.apache.sysds.runtime.instructions.gpu that return MMTSJ.MMTSJType
Modifier and Type
Method
Description
`MMTSJ.MMTSJType`
MMTSJGPUInstruction.`getMMTSJType()`

## Uses of MMTSJ.MMTSJType in org.apache.sysds.runtime.instructions.spark

Methods in org.apache.sysds.runtime.instructions.spark that return MMTSJ.MMTSJType
Modifier and Type
Method
Description
`MMTSJ.MMTSJType`
Tsmm2SPInstruction.`getMMTSJType()`
`MMTSJ.MMTSJType`
TsmmSPInstruction.`getMMTSJType()`

## Uses of MMTSJ.MMTSJType in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data with parameters of type MMTSJ.MMTSJType
Modifier and Type
Method
Description
`MatrixBlock`
MatrixBlock.`transposeSelfMatrixMultOperations(MatrixBlock out, MMTSJ.MMTSJType tstype)`
`MatrixBlock`
MatrixBlock.`transposeSelfMatrixMultOperations(MatrixBlock out, MMTSJ.MMTSJType tstype, int k)`